Path

ez components / documentation / api reference / 2009.1.1 / webdav


eZ Components 2009.1.1

Webdav: ezcWebdavMakeCollectionRequest

[ Tutorial ] [ Clients ] [ Plugin architecture ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcWebdavMakeCollectionRequest

Abstract representation of a MKCOL request. [source]
An instance of this class represents the WebDAV MKCOL request.

Parents

ezcWebdavRequest
   |
   --ezcWebdavMakeCollectionRequest

Inherited Constants

From ezcWebdavRequest:
ezcWebdavRequest::DEPTH_INFINITY
ezcWebdavRequest::DEPTH_ONE
ezcWebdavRequest::DEPTH_ZERO    Constants for the 'Depth' headers and property fields.

Properties

string read/write  $body
The request body of a MKCOL request.

Inherited Member Variables

From ezcWebdavRequest:
protected  ezcWebdavRequest::$headers
protected  ezcWebdavRequest::$properties

Method Summary

public void __construct( $requestUri, [$body = null] )
Creates a new MKCOL request object.

Inherited Methods

From ezcWebdavRequest :
public void ezcWebdavRequest::__construct()
Creates a new request object.
public mixed ezcWebdavRequest::getHeader()
Returns the contents of a specific header.
public void ezcWebdavRequest::setHeader()
Sets a header to a specified value.
public void ezcWebdavRequest::setHeaders()
Sets a header to a specified value.
public void ezcWebdavRequest::validateHeaders()
Validates the headers set in this request.

Methods

__construct

void __construct( string $requestUri, [string $body = null] )
Creates a new MKCOL request object.
The request contains of the $requestUri which indicates where a collection should be created and an optional request $body.

Parameters

Name Type Description
$requestUri string  
$body string  

Redefinition of

Method Description
ezcWebdavRequest::__construct() Creates a new request object.

Last updated: Mon, 27 Jul 2009